gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[libmicrohttpd] 141/156: contrib/make-dist.sh: added use of zopfli if av


From: gnunet
Subject: [libmicrohttpd] 141/156: contrib/make-dist.sh: added use of zopfli if available
Date: Sun, 28 May 2023 17:53:14 +0200

This is an automated email from the git hooks/post-receive script.

karlson2k pushed a commit to tag v0.9.77
in repository libmicrohttpd.

commit 5566a632cb9fbb3c43d08802ac364e939675b914
Author: Evgeny Grin (Karlson2k) <k2k@narod.ru>
AuthorDate: Wed May 24 21:01:39 2023 +0300

    contrib/make-dist.sh: added use of zopfli if available
---
 contrib/make-dist.sh | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

diff --git a/contrib/make-dist.sh b/contrib/make-dist.sh
index 41918973..91a20ab9 100755
--- a/contrib/make-dist.sh
+++ b/contrib/make-dist.sh
@@ -84,11 +84,22 @@ echo '** Patched build system ready.'
 echo ''
 
 # Build the configure and the related files with patches
+
+have_command()
+{
+    command -v "$1" >/dev/null 2>&1
+}
+
 echo ''
 echo '*** Building dist tarball...'
 echo ''
 ./configure || exit 7
-make dist || exit 7
+if have_command zopfli; then
+    make dist-custm2 'ARC_CMD=zopfli -v --gzip --i15' 'ARC_EXT=tar.gz' || exit 
7
+else
+    make dist || exit 7
+    echo '* zopfli is not installed, tarball size is suboptimal.'
+fi
 echo ''
 echo '** Dist tarball ready.'
 echo ''

-- 
To stop receiving notification emails like this one, please contact
gnunet@gnunet.org.



reply via email to

[Prev in Thread] Current Thread [Next in Thread]